# Game Loop ohne while: Die Funktion ruft sich immer wieder selber auf und übergibt dabei alle zu speichernden Werte
# So muss nicht jede Funktion jeden Wert als Parameter übergeben bekommen, um die gespeicherten Werte nicht zu verlieren
# euros := Anzahl der gefundenen 1€ Münzen
# gegenstände := String, der die noch zu findenen Gegenstände aufzählt
# funktion := Name der Funktion, die als nächstes aufgerufen werden soll, bzw. event, welches eintreten soll
# euro0-euro4 := Speichert, ob der jeweilige Euro schon gefunden wurde
def gameLoop(
    euros: int, gegenstände: str, funktion: str, euro0: bool, euro1: bool, euro2: bool, euro3: bool, euro4: bool,
    laptop: bool, ausweis: bool, handy: bool, flasche: bool, stick: bool, name: str, bradquiz: bool,
    gabiQuiz: bool, matheoQuiz: bool
):
    if funktion == "stockwerkWechseln":
        funktion = stockwerkWechseln()
    elif funktion == "stockwerk0_01":
        funktion = stockwerk0_01(gegenstände)
    elif funktion == "informationBesuchen":
        funktion = informationBesuchen(laptop, ausweis, handy, flasche, stick, name)
    elif funktion == "automatenBetrachten":
        funktion = automatenBetrachten(euros, handy)
    elif funktion == "ubVerlassen":
        funktion = ubVerlassen(gegenstände)
    elif funktion == "stockwerk1_02":
        funktion = stockwerk1_02(euro1)
    elif funktion == "bioBrad":
        funktion = bioBrad(bradquiz, euro4, euro0)
    elif funktion == "quizBest":
        funktion = "stockwerk1_02"
        bradquiz = True
    elif funktion == "stockwerk2_03":
        funktion = stockwerk2_03(euro2)
    elif funktion == "geoGabi":
        funktion = geoGabi(gabiQuiz)
    elif funktion == "stockwerk3_04":
        funktion = stockwerk3_04(euro3, laptop)
    elif funktion == "stockwerk4_05":
        funktion = stockwerk4_05()
    elif funktion == "matheMatheo":
        funktion = matheMatheo(matheoQuiz, euro4)
    elif funktion == "euro0":
        funktion = "stockwerk1_02"
        euros = euros + 1
        euro0 = True
    elif funktion == "euro1":
        funktion = "stockwerk1_02"
        euro1 = True
        euros = euros + 1
    elif funktion == "euro2":
        funktion = "stockwerk2_03"
        euro2 = True
        euros = euros + 1
    elif funktion == "euro3":
        euros = euros + 1
        euro3 = True
        funktion = "stockwerk3_04"
    elif funktion == "laptop":
        laptop = True
        funktion = "stockwerk3_04"
        gegenstände = gegenständeAufzählen(laptop, ausweis, handy, flasche, stick)
    elif funktion == "ausweis":
        ausweis = True
        funktion = "informationBesuchen"
        gegenstände = gegenständeAufzählen(laptop, ausweis, handy, flasche, stick)
    elif funktion == "handy":
        handy = True
        funktion = "stockwerk0_01"
        euros = 0
        gegenstände = gegenständeAufzählen(laptop, ausweis, handy, flasche, stick)
    elif funktion == "flasche":
        flasche = True
        funktion = "stockwerk4_05"
        euros = euros + 1
        euro4 = True
        gegenstände = gegenständeAufzählen(laptop, ausweis, handy, flasche, stick)
    elif funktion == "stick":
        stick = True
        gabiQuiz = True
        funktion = "stockwerk2_03"
        gegenstände = gegenständeAufzählen(laptop, ausweis, handy, flasche, stick)
    elif funktion == "ende":
        return
    # Hier findet sehr viel Rekursion statt. Das tiefste Rekursionslevel liegt unseren Recherchen nach jedoch bei 1000, weshalb dies hierfür kein
    # Problem darstellen sollte
    gameLoop(euros, gegenstände, funktion, euro0, euro1, euro2, euro3, euro4, laptop, ausweis, handy, flasche, stick, name, bradquiz, gabiQuiz, matheoQuiz)


def gegenständeAufzählen(laptop: bool, ausweis: bool, handy: bool, flasche: bool, stick: bool) -> str:
    gegenstände = ""
    if (not laptop):
        gegenstände = gegenstände + "Laptop "
    if (not ausweis):
        gegenstände = gegenstände + "Studentenausweis "
    if (not handy):
        gegenstände = gegenstände + "Handy "
    if (not flasche):
        gegenstände = gegenstände + "Trinkflasche "
    if (not stick):
        gegenstände = gegenstände + "USB-Stick "
    return gegenstände


# Funktion zum Wechseln des Stockwerks
def stockwerkWechseln() -> str:
    todo = input("\nIn welches Stockwerk möchtest du gehen? [0 / 1 / 2 / 3 / 4 / 5]\nStockwerk: ")
    if todo == "0":
        return "stockwerk0_01"
    elif todo == "1":
        return "stockwerk1_02"
    elif todo == "2":
        return "stockwerk2_03"
    elif todo == "3":
        return "stockwerk3_04"
    elif todo == "4":
        return "stockwerk4_05"
    elif todo == "5":
        print("Du läufst zum Aufzug, doch dieser scheint kaputt zu sein. Zum Laufen bist du zu faul.")
        return "stockwerkWechseln"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerkWechseln"


# Funktion für Ebene 0
def stockwerk0_01(gegenstände: str) -> str:
    print("\nDu befindest dich auf Ebene 0.")
    print("Dir fehlen noch die folgenden Gegenstände: " + gegenstände)
    print("Auf der einen Seite siehst du die Information der UB. Auf der anderen steht ein Snackautomat. [Automaten betrachten / Information besuchen / Stockwerk wechseln / UB verlassen]")
    todo = input("Was möchtest du tun: ")
    if todo == "Stockwerk wechseln":
        return "stockwerkWechseln"
    elif todo == "Information besuchen":
        return "informationBesuchen"
    elif todo == "Automaten betrachten":
        return "automatenBetrachten"
    elif todo == "UB verlassen":
        return "ubVerlassen"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerk0_01"


# Funktion für Ebene 1
def stockwerk1_02(euro1: bool) -> str:
    print("\nDu befindest dich auf Ebene 1.")
    print("Du siehst einen bösen Biologiestudenten alleine in einer Ecke des Raumes sitzen. Er sieht dich herausfordernd an.")
    print("Am anderen Ende des Stockwerks hängt ein Fanposter von Ada Lovelace. [Poster anschauen / Biologiestudenten besuchen / Stockwerk wechseln]")
    todo = input("Was möchtest du tun: ")
    if todo == "Stockwerk wechseln":
        return "stockwerkWechseln"
    elif todo == "Poster anschauen":
        if (not euro1):
            print("Du betrachtest das Poster von Ada Lovelace voller Bewunderung. Bei genauerem hinsehen siehst du etwas kleines rundes, was")
            print("hinter dem Poster feststeckt. [genauer hinsehen / mir doch egal]")
            todo = input("Was möchtest du tun: ")
            if todo == "genauer hinsehen":
                print("Vorsichtig hängst du das Poster von Ada Lovelace ab und findest dahinter eine 1€ Münze, geil man.")
                return "euro1"
            elif todo == "mir doch egal":
                print("Ada Lovelace begeistert dich einfach zu sehr, als dass du dich um etwas anderes kümmern könntest.")
            else:
                print("Du kannst dies nicht tun...")
        else:
            print("Hier gibt es nichts...Außer natürlich das fantastische Ada Lovelace Poster.")
        return "stockwerk1_02"
    elif todo == "Biologiestudenten besuchen":
        return "bioBrad"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerk1_02"


# Funktion für Ebene 2
def stockwerk2_03(euro2: bool) -> str:
    print("\nDu befindest dich auf Ebene 2.")
    print("Du siehst eine gutgelaunte Geographiestudentin alleine in der Ecke sitzen. Sie schaut dich lächelnd an.")
    print("Außerdem liegt auf einem Tisch ein Bundesgesetzbuch, aber niemand würde es sich selbst antun,")
    print("da freiwillig reinzuschauen. [Geographiestudentin ansprechen / BGB öffnen / Stockwerk wechseln]")
    todo = input("Was möchtest du tun: ")
    if todo == "Geographiestudentin ansprechen":
        return "geoGabi"
    elif todo == "BGB öffnen":
        if (not euro2):
            bgb = input("Woah. Du bist gerade dabei, das Bundesgesetzbuch aufzuschlagen, willst du das wirklich tun? [Ja / Nein]\n")
            if bgb == "Nein":
                return "stockwerk2_03"
            elif not (bgb == "Ja"):
                print("Das BGB muss dich verwirrt haben.")
                return "stockwerk2_03"
            print("Hmm...hast du dich vielleicht verlesen? Es geht hier um das Buch, das die ganzen Juristen")
            bgb = input("immer mit sich herumschleppen. Das willst du freiwillig lesen? [Ja / Nein] \n")
            if bgb == "Nein":
                return "stockwerk2_03"
            elif not (bgb == "Ja"):
                print("Das BGB muss dich verwirrt haben.")
                return "stockwerk2_03"
            bgb = input("Ganz sicher? [Ja / Nein]\n")
            if bgb == "Nein":
                return "stockwerk2_03"
            elif not (bgb == "Ja"):
                print("Das BGB muss dich verwirrt haben.")
                return "stockwerk2_03"
            bgb = input("Ganz ganz sicher? [Ja / Nein]\n")
            if bgb == "Nein":
                return "stockwerk2_03"
            elif not (bgb == "Ja"):
                print("Das BGB muss dich verwirrt haben.")
                return "stockwerk2_03"
            print("Nagut man, wenn du es unbedingt willst. Du öffnest das Buch und findest eine 1€ Münze darin.")
            bgb = input("So, glücklich jetzt? [Ja / Nein]")
            if bgb == "Nein":
                print("Die Last, die nun auf dir liegt muss schwer sein.")
                return "euro2"
            elif not (bgb == "Ja"):
                print("Das BGB muss dich verwirrt haben.")
                return "euro2"
            print("Du bist kein Mensch.")
            return "euro2"
        else:
            print("Das tust du dir nicht freiwillig erneut an.")
            return "stockwerk2_03"
    elif todo == "Stockwerk wechseln":
        return "stockwerkWechseln"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerk2_03"


# Funktion für Ebene 3
def stockwerk3_04(euro3: bool, laptop: bool) -> str:
    print("\nDu befindest dich auf Ebene 3.\nDu siehst einen Spind und ein paar Tische. [Spind ansehen / Tische ansehen / Stockwerk wechseln]")
    todo = input("Was möchtest du tun: ")
    if todo == "Spind ansehen":
        print("Auf dem Spind steht in Comic Sans \"Bio Brads Bestand\". Der Spind ist mit einer 4-stelligen Pin verschlossen. [Pin eingeben / Dagegenschlagen]")
        todo = input("Was möchtest du tun: ")
        if todo == "Dagegenschlagen":
            print("Wieso versuchst du es überhaupt? Du bist Informatiker, schon vergessen?")
            return "stockwerk3_04"
        elif todo == "Pin eingeben":
            pin = input("Pin: ")
            if pin == "1415":
                if (not laptop):
                    print("Das Schloss öffnet sich und du findest deinen Laptop darin, wenn auch mit einigen Fettflecken darauf.")
                    return "laptop"
                else:
                    print("Der Spind ist leer.")
                    return "stockwerk3_04"
            else:
                print("Das Schloss öffnet sich nicht...")
                return "stockwerk3_04"
        else:
            print("Du kannst dies nicht tun...")
            return "stockwerk3_04"
    elif todo == "Tische ansehen":
        if (not euro3):
            print("Du siehst etwas glänzendes auf dem Boden unter einem der Tische. Du bückst dich und findest eine 1€ Münze.")
            return "euro3"
        else:
            print("Hier ist nichts mehr.")
            return "stockwerk3_04"
    elif todo == "Stockwerk wechseln":
        return "stockwerkWechseln"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerk3_04"


# Funktion für Ebene 4
def stockwerk4_05():
    print("\nDu befindest dich auf Ebene 4.")
    print("Du siehst einen murmelnden Mathematikstudenten alleine in der Ecke sitzen. Er schaut dich nicht an.")
    print("In der einen Hand hält er ein Kranich-Stofftier, in der anderen deine Trinkflasche.")
    print("Die Treppe zur Ebene 5 wird durch eine Gruppe Juristen blockiert. [Mathestudenten ansprechen / Juristen ansprechen / Stockwerk wechseln]")
    todo = input("Was möchtest du tun: ")
    if todo == "Stockwerk wechseln":
        return "stockwerkWechseln"
    elif todo == "Mathestudenten ansprechen":
        return "matheMatheo"
    elif todo == "Juristen ansprechen":
        print("Noch bevor du deinen Mund aufbekommst, wirst du mit Paragraphen und besserwisserischen Blicken beworfen.")
        print("Du entscheidest dich dafür, die Juristen lieber alleine zu lassen, obwohl du dann nicht auf Ebene 5 kommen wirst.")
        return "stockwerk4_05"
    else:
        print("Dies kannst du nicht tun...")
        return "stockwerk4_05"


# Information Besuchen
def informationBesuchen(laptop: bool, ausweis: bool, handy: bool, flasche: bool, stick: bool, name: str) -> str:
    print("\nDu stehst an der Information. Hinter der Theke steht eine Mitarbeiterin. [Nach Gegenständen fragen / zurück]")
    todo = input("Was möchtest du tun: ")
    # Zurück zu Ebene 0
    if todo == "zurück":
        return "stockwerk0_01"
    # Gegenstände
    elif todo == "Nach Gegenständen fragen":
        gegenstand = input("Nach [Laptop / Studentenausweis / Handy / Trinkflasche / USB-Stick] fragen.\n")
        # Laptop
        if gegenstand == "Laptop":
            if (not laptop):
                print("\t\"Ich glaube, ich habe Bio Brad mit einem Laptop im ersten Stock gesehen.\"")
            else:
                print("\t\"Du hast deinen Laptop doch in der Hand.\"")
        # Studentenausweis
        elif gegenstand == "Studentenausweis":
            if (not ausweis):
                wahrheit = input("\t\"Klar, den habe ich hier liegen. Bist du wirklich " + name + "? [Ja / Nein]\n")
                if wahrheit == "Ja":
                    perso = input("\t\"Na dann beweise es. [Personalausweis vorlegen / Das kann ich nicht]\n")
                    if perso == "Personalausweis vorlegen":
                        if (not handy):
                            print("Du greifst in deine Tasche, um deinen Perso vorzulegen, doch greifst ins Leere.")
                            print("Dir fällt wieder ein, dass sich dieser in deiner Handyhülle befindet.")
                        else:
                            print("\t\"Na also, geht doch. Hier hast du deinen Studentenausweis wieder.\"")
                            return "ausweis"
                    elif perso == "Das kann ich nicht":
                        print("\t\"Na dann komm wieder, wenn du es kannst. Brauchst nur deinen Personalausweis mitbringen.\"")
                    else:
                        print("\t\"Ich verstehe nicht, was du sagst und möchte es auch erhlich gesagt nicht mehr.\"")
                elif wahrheit == "Nein":
                    print("\t\"Ok. Cool. Ist dir noch zu helfen?\"")
                else:
                    print("\t\"Das war eine einfache Frage. Du scheinst wohl nicht der Schlauste zu sein.\"")
            else:
                print("\t\"Den habe ich dir doch vorhin schon gegeben.\"")
        # Handy
        elif gegenstand == "Handy":
            if (not handy):
                print("Die Angestellte sagt nichts sondern schaut nur nervös zu dem Snackautomaten.")
            else:
                print("Dein Handy vibriert in deiner Hosentasche. Die Angestellte verdreht die Augen.")
        # Trinkflasche
        elif gegenstand == "Trinkflasche":
            if (not flasche):
                print("\t\"Hmmm...Hast du schon auf Ebene 4 nachgesehen?\"")
            else:
                print("Verwirrt starrt die Angestellte deinen Rucksack an, in dessen Seitentasche sich deine Flasche befindet.")
        # USB-Stick
        elif gegenstand == "USB-Stick":
            if (not stick):
                print("\t\"Oh ja, tatsächlich wurde hier vorhin ein USB-Stick gefunden.")
                print("\t Den hat eine äußerst nette Geographiestudentin mit auf Ebene 2 genommen\"")
            else:
                print("\t\"Wie sieht er denn aus?\" Du ziehst deinen USB-Stick aus der Tasche, um es ihr zu zeigen.")
                print("Du verstehst erst nicht, warum sie dich so ansieht. Du schaust sie an, dann den USB-Stick und packst ihn wortlos wieder ein.")
        else:
            print("Danach kannst du nicht fragen...")
        return "informationBesuchen"
    else:
        print("Dies kannst du nicht tun...")
        return "informationBesuchen"


# UB verlassen: Nachfragen ob man wirklich verlassen will
def ubVerlassen(gegenstände: str) -> str:
    print("\nDu stehst vor dem Ausgang der UB.")
    if gegenstände == "":
        print("Sehr gut, du hast alle Gegenstände gefunden und kannst die UB sorgenfrei verlassen.")
        return "ende"
    else:
        print("Möchtest du die UB wirklich verlassen? Du kannst nicht zurückkehren und dir fehlen noch ")
        todo = input("die folgenden Gegenstände: " + gegenstände + "[Ja / Nein]\n")
        if todo == "Ja":
            print("Du hast die UB verlassen. Deine Gegenstände sind für immer verloren.")
            return "ende"
        elif todo == "Nein":
            print("Weise Entscheidung. Suche weiter nach deinen verlorenen Gegenständen.")
            return "stockwerk0_01"
        else:
            print("Du kannst dies nicht tun...")
            return "ubVerlassen"


# Automaten Betrachten
def automatenBetrachten(euros: int, handy: bool) -> str:
    if (not handy):
        print("\nDu siehst dein Handy in einem der Snackfächer des Automaten. Es kostet 5€. Du hast " + str(euros) + "€ dabei. [Geld einwerfen / Automaten schütteln / zurück]")
        todo = input("Was möchtest du tun: ")
        if todo == "Geld einwerfen":
            if (euros == 5):
                print("Du hörst das Rattern des Automaten, als dieser dein Handy ausspuckt. Du hast es nun wieder.")
                print("Du erinnerst dich, dass dein Personalausweis sich auf der Rückseite deines Handys befindet.")
                return "handy"
            else:
                print("Du hast zu wenig Geld. Du brauchst noch " + str(5 - euros) + "€.")
        elif todo == "Automaten schütteln":
            print("Deine Informatikerarme sind zu schwach, um etwas zu bewirken.")
        elif todo == "zurück":
            return "stockwerk0_01"
        else:
            print("Dies kannst du nicht tun...")
    else:
        print("Der Automat ist leer.")
        return "stockwerk0_01"
    return "automatenBetrachten"


def bioBrad(bradquiz: bool, euro4: bool, euro0: bool) -> str:
    print("\nDu sprichst den Bösen Bio Brad an.")
    print("\t\"Was willst du diggah\" [Nach Laptop fragen / Nach Geld fragen / zurück]")
    todo = input("Was willst du tun: ")
    if todo == "Nach Laptop fragen":
        if (not bradquiz):
            print("\n\"Bro hör zu:")
            print("Beantworte mir all diese Fragen und du kannst den Pin für meinen Spind beantragen.")
            print("Doch nur eine falsche Antwort reicht aus und du bist aus diesem Spiel raus\"")

            print("\n\"Ich stelle diese Frage weil sie mir gefällt, wie heißt der kleinste Vogel der Welt?\" [Riesentrappe / Somali Strauß / Hummelkolibri]")
            antwort = input("Antwort: ")
            if antwort == "Hummelkolibri":
                print("\"Bro das ist wunderbar, die Antwort auf diese Frage ist wahr\"")
            else:
                print("\"Verpiss dich aber komm gerne wieder\"")
                return "stockwerk1_02"
            antwort = input("\"Die zweite Frage geht ganz geschwind, ich will wissen, ob Pinguine auch Vögel sind\" [Ja / Nein / Kein Bock mehr Junge]\nAntwort: ")
            if antwort == "Ja":
                print("\"Nice Bruder.\"")
            elif antwort == "Kein Bock mehr Junge":
                print("\"Okay Diggah machs nicht cringe hier nimm den Code, diggah du bist so sus\"")
                return "quizBest"
            else:
                print("\"Verpiss dich aber komm gerne wieder\"")
                return "stockwerk1_02"
            antwort = input("\"Zur letzten Frage Herr Mayer, wovon ernähren sich eigentlich Geier\" [Gas, Gras, Aas]\nAntwort: ")
            if antwort == "Aas":
                print("\"Man mit dir macht es ja wirklich Spaß, die richtige Antwort ist tatsächlich Aas,")
                print("Nun gut, hier hast du die Pin für den Spind, auf auf mit dir, geschwind")
                print("Der Pin sind die ersten 4 Nachkommastellen von Pi (1415), nun ist mein Rätsel vorbei, ich dachte das schaffst du nie\"")
                return "quizBest"
            else:
                print("\"Verpiss dich aber komm gerne wieder\"")
                return "stockwerk1_02"
        else:
            print("\"Du hast meine Pin schon du Kek\"")
            return "stockwerk1_02"
        return "bioBrad"
    elif todo == "Nach Geld fragen":
        if (not euro0):
            print("\"Scheiß Geringverdiener. Bring mir was cooles Biologisches, mit dem ich mich identifizieren kann, dann bekommst du nen Eu\"")
            if euro4:
                todo = input("[Kranich geben]\nWas möchtest du tun: ")
                if todo == "Kranich geben":
                    print("\"Oh wow danke, hier wie versprochen dein Eu.\"")
                    print("Er gibt dir eine 1€ Münze")
                    return "euro0"
                else:
                    print("Du kannst dies nicht tun...")
                    return "bioBrad"
            else:
                print("Du kannst dem Bösen Bio Brad nichts geben.")
                return "bioBrad"
        else:
            print("Den Eu hast du doch schon bekommen du Idiot.")
            return "stockwerk1_02"
    elif todo == "zurück":
        return "stockwerk1_02"
    else:
        print("Du kannst dies nicht tun...")
        return "bioBrad"


def geoGabi(gabiQuiz: bool) -> str:
    print("\n\"Hey, ich bin die Gute Geo Gabi, ich bin eine der wenigen Leute hier, die nicht reimen.\"")
    if (not gabiQuiz):
        print("\"Ich habe gehört, du suchst deinen USB-Stick. Den habe ich zufällig gefunden, ")
        print("aber ich gebe ihn dir erst, wenn du mir 5 Fragen richtig beantwrotest haha\"")
        antwort = input("\"Frage 1: Was studiert Matheo? [Molekularbiologie / Medizin / Mathe]\nAntwort: ")
        if not (antwort == "Mathe"):
            print("Das ist leider falsch, vie Glück beim nächsten mal haha")
            return "stockwerk2_03"
        antwort = input("\"Frage 2: Wie heißt der Biologiestudent? [Bernd / Brad / Bruno]\nAntwort: ")
        if not (antwort == "Brad"):
            print("Das ist leider falsch, vie Glück beim nächsten mal haha")
            return "stockwerk2_03"
        antwort = input("\"Frage 3: Wer sitzt im Stockwerk unter mir? [Bio Brad / Mathe Matheo / Kranich Klaus]\nAntwort: ")
        if not (antwort == "Bio Brad"):
            print("Das ist leider falsch, vie Glück beim nächsten mal haha")
            return "stockwerk2_03"
        antwort = input("\"Frage 4: Von welcher berühmten Persönlichkeit hängt ein Poster in der UB? [Ada Lovelace / Alan Turing / Hans]\nAntwort: ")
        if not (antwort == "Ada Lovelace"):
            print("Das ist leider falsch, vie Glück beim nächsten mal haha")
            return "stockwerk2_03"
        antwort = input("\"Frage 5: Von wem wird die Treppe zu Ebene 5 blockiert? [Mediziner / MSTler / Juristen]\nAntwort: ")
        if not (antwort == "Juristen"):
            print("Das ist leider falsch, vie Glück beim nächsten mal haha")
            return "stockwerk2_03"
        print("\"Wow du hast ja richtig scharfe Augen! Super gemacht. Hier, dafür bekommst du deinen USB-Stick zurück haha!\"")
        print("Die gute Geo Gabi gibt dir deinen USB-Stick.")
        return "stick"
    else:
        print("\"Deinen USB-Stick hast du ja schon bekommen. Ich wünsche dir einen schönen Tag.\"")
        return "stockwerk2_03"


def matheMatheo(matheoQuiz: bool, euro4: bool) -> str:
    if euro4:
        print("Yo ich bin Mathe Matheo, leider hab ich nichts mehr für dich...")
        return "stockwerk4_05"
    print("Yo ich bin Mathe Matheo und das ist Kranich Klaus, beantworte uns 3 Fragen und wir geben dir deine Trinkflasche aus.")
    antwort = input("\"Wenn ich sieben Heuhaufen und drei Heuhaufen zusammentrage, kannst du uns verraten, wie viele Heuhaufen ich dann habe?\" [1 / 10 / 42]\nAntwort: ")
    if antwort == "42":
        print("Die Antwort auf die Frage nach dem Leben, dem Universum und dem ganzen Rest...Außer diese Frage...")
        return "stockwerk4_05"
    elif not (antwort == "1"):
        print("Sorry, vielleicht hast du's ja beim nächsten Mal.")
        return "stockwerk4_05"
    antwort = input("\"In sieben Minuten ist ein Ei gar. Wie viele Minuten brauchen fünf Eier, ist dies dir klar?\" [7 / 35 / 42]\nAntwort: ")
    if antwort == "42":
        print("Die Antwort auf die Frage nach dem Leben, dem Universum und dem ganzen Rest...Außer diese Frage...")
        return "stockwerk4_05"
    elif not (antwort == "7"):
        print("Sorry, vielleicht hast du's ja beim nächsten Mal.")
        return "stockwerk4_05"
    print("\"Letzte Frage, darum hör gut zu! In dieser Frage geht es um Frau Schuh. Im Aquarium von Frau Schuh lebten dreizehn Fischlein,")
    print("bis Frau Schuh in den Urlaub ging - allein. Traurig und verlassen stehen die Fischlein nun zuhaus, und eins nach dem anderen")
    print("geht ihnen das Licht aus. Fünf von ihnen sind bereits verstorben durch fehlendes Futter. Wie viele Fischlein sind jetzt noch")
    antwort = input("im Aquarium ... Butter.\" [8 / 13 / 42]\nAntwort: ")
    if antwort == "42":
        print("Die Antwort auf die Frage nach dem Leben, dem Universum und dem ganzen Rest...Außer diese Frage...")
        return "stockwerk4_05"
    elif not (antwort == "13"):
        print("Sorry, vielleicht hast du's ja beim nächsten Mal.")
        return "stockwerk4_05"
    print("\"Wow, du bist zu schlau, das seh ich genau! Hier nimm deine Trinkflasche und Kranich Klaus auch, du kannst ihn jetzt haben, weil\"")
    print("ich ihn nicht mehr brauch. Und weil du so schlau bist, gibt's nen Euro obendrauf. Jetzt geh aber schnell weg von mir, auf auf!\"")
    print("Mathe Matheo gibt dir deine Trinkflasche, das Kranich-Stofftier und eine 1€ Münze.")
    return "flasche"


# Beginn des Spiels, ruft einmal gameLoop() auf, ab da läuft der Rest des Spiels in den Funkionen ab
gegenständeFirst = "Laptop Studentenausweis Handy Trinkflasche USB-Stick "
euros = 0
# Namen Eingeben
name = input("Wie heißt du?\nName: ")
# Story beginnt
print("Eines schönen morgens wachst du auf und bemerkst, dass dein " + gegenständeFirst + "fehlen")
print("Du musst sie wohl in der Universitätsbibliothek verloren haben. Also machst du dich auf den Weg zur UB, um deine verlorenen Gegenstände wiederzubekommen.")
print("Wenn du das Spiel beenden möchtest, verlasse die UB auf Ebene 0.")
# Spiel startet auf Ebene 0
gameLoop(euros, gegenständeFirst, "stockwerkWechseln", False, False, False, False, False, False, False, False, False, False, name, False, False, False)
input("\n\nZum Beenden beliebige Eingabe tätigen...\n")
