import images 
import story 
import inventory

# Main events
def start():
    print(images.wall(), "\n") 
    print(story.start(), "\n")
    start_decision()

def room_right_one():
    print(images.candles(), "\n")
    print(story.room_right_one(), "\n")
    room_right_one_decision()

def room_left_one(back):
    print(images.hallway(), "\n")
    if (back):
        print("Du bist wieder in dem langen Gang\n")
    else:
        print(story.room_left_one(), "\n")
    room_left_one_decision(back)

def room_left_two():
    print(images.door(), "\n")
    print(story.room_left_two(), "\n")
    room_left_two_decision()

def room_left_two_left():
    print(images.beast(), "\n")
    print(story.room_left_two_left(), "\n")
    inventory.beastAppeared = True
    room_left_two_left_decision()

def room_left_two_right():
    print(images.arn(), "\n")
    print(story.room_left_two_right(), "\n")
    room_left_two_right_decision()

def quake(decision):
    if not (inventory.alreadyQuake):
        print(images.quake(), "\n")
        print(story.quake(), "\n")
        inventory.alreadyQuake = True
    if (my_continue()):
        if (decision == "links"):
            room_left_one(False)
        elif (decision == "rechts"):
            room_right_one()

# Helpers
def err_input():
    print("Falsche Eingabe!")

def egg(decision):
    if decision == "42":
        print("Ka warum du jetzt 42 eingetippt hast :D. Aber hier siehst du eine schöne Frau ^^\n")
        print(images.woman())

def my_continue():
    input("Weiter: [Enter drücken]")
    return " "

# Decisions
def start_decision():
    decision = input("Was willst du machen?\nDie linke Tür nehmen? oder die rechte? Oder im Raum umsehen? [links | rechts | umsehen]")
 
    egg(decision)

    if (decision == "links" or decision == "rechts"):
        quake(decision)


    elif (decision == "umsehen"):
        if (inventory.gotKey):
            print(story.start_key_already_found())            
        else:
            print(story.start_found_key())
            inventory.gotKey = True
        start_decision()
    else:
        err_input()
        start_decision()

def room_right_one_decision():
    if (inventory.beastAppeared and not inventory.knowPassword):
        print(images.death()) 
        print("Du bist zwar in den Raum gelangt wo der Ausgang zu finden ist. Aber ohne das Passwort kommst du nicht weiter. Und es gibt kein Entrinnen!")
        return
    decisionAddition = ""
    if (inventory.knowPassword):
        decisionAddition = "| sprechen"
    decision = input("Was willst du machen?\n[zurück | umsehen " + decisionAddition + "]")
 
    egg(decision)

    if (decision == "zurück"):
        start_decision()
    elif (decision == "umsehen"):
        print("Leider kannst du nichts finden.")
        room_right_one_decision()
    elif (inventory.knowPassword and decision == "sprechen"):
        speak() 
    else:
        err_input()
        room_right_one_decision()

def speak():
    speak = input("Was willst du sagen?")
    if (speak == "Follow The Hollow"):
        if (inventory.gotKey):
            print(images.mountain())
            if (inventory.endingDecision == 1):
                print("Du hast es geschafft zu entfliehen doch nur mit schwerem Herzen. Du bist froh, dass du das noch sagen konntest, was dir wirklich auf dem Herzen lag. Auch wenn es schmerzt jemanden zurückgelassen zu haben. The End")
            elif (inventory.endingDecision == 2):
                print("Es ist besonders, dass du so einen Freund hattest. Der trotz der schlimmen Lage wollte, dass du weitergehst und dein Leben leben sollst. The End")
            
        else:
            print(images.death())
            print("Du siehst wie die Wand aufleuchtet und ein Schlüsselloch zu sehen ist. Aber leider hast du den Schlüßel nicht. Die Bestie steht direkt hinter dir...")

    else:
        err_input()
        speak()     

def room_left_one_decision(back):
    decision = input("[rennen, springen]")
    if (decision == "rennen"):
        print(images.death())
        print("Leider wurdest du von großen Bolzen aufgespießt! The End!")
    elif (decision == "springen"):
        if (back):
            print("Du befindest dich wieder am Ausgangspunkt")
            start_decision() 
        else: 
            room_left_two()
    else:
        err_input()
        room_left_one_decision(back)

    return

def room_left_two_decision():
    decision = input("[links, rechts]")
    if (decision == "links"):
        room_left_two_left()
    elif (decision == "rechts"):
        if not (inventory.beastAppeared):
            beast_appears()
        room_left_two_right()
    else:
        err_input()
        room_left_two_decision()
    return

def room_left_two_left_decision():
    my_continue()
    room_left_two()

def room_left_two_right_decision():
    my_continue()
    print(story.choose_answer_one())
    
    decision = input("Entscheide dein Antwort [1, 2, 3, 4]")
    egg(decision)
    print(story.arn_reponse_answer_one(decision))
    if (decision == "1"):
        inventory.endingDecision = 1
        inventory.knowPassword = True
        print("Mit schwerem Herzen verlässt du den Raum und rennst so schnell du kannst los um diesen Gottverdammten Platz zu verlassen.")
        my_continue()
        room_left_one(True)
    elif (decision == "2"):
        inventory.endingDecision = 2
        inventory.knowPassword = True
        print("Mit Schweißperlen über deinem Gesicht blickst du zu der andern Tür und hoffst, dass das Monster noch nicht auftaucht. Du rennst los.")
        my_continue()
        room_left_one(True)
    elif (decision == "3"):
        print(story.ending_sharing_the_faith())
    elif (decision == "4"):
        inventory.endingDecision = 4
        print("Energisch rennst du los und versuchst alles hinter dir zu lassen.")
        my_continue()
        room_left_one(True)
    else:
        err_input()
        room_left_two_right_decision()

def beast_appears():
    inventory.beastAppeared = True
    print(images.beast())
    print("Bevor du die Tür öffnest, hörst du aus dem anderen Raum einen lauten Schrei. Die andere Tür schlägt sich plötzlich auf und du siehst einen sehr langen und dunklen Raum. Und ganz weit in der Ferne erscheint eine furchterregende Bestie. Groß wie ein Baum, blutverschmiert und mit messerscharfen Pranken geht läuft sie auf dich zu.")
    my_continue()

if __name__ == "__main__":
    start()
